/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.OrgRole;

import java.util.Vector;
import java.math.BigDecimal;
import CustomerAccountMgmt.CustomerAccountTrans.CustomerAccTrans;
import CustomerAccountMgmt.CustomerAccountApp.CustomerAccApplication;

/** 
 * @author TogetherSoft
 * @stereotype role
 * @alias OrgEntityResponsibleForAccounts
 */
public class OrgEntityRespForAccounts extends RelMgmt.Party.OrgRole {
    public int calcAcceptanceRate() {
        return 0;
    }

    public BigDecimal calcAvgAccountBalance() {
        return new BigDecimal(0);
    }

    public Vector calcAvgCustomerAccountTransaction() {
        return new Vector();
    }

    public Vector assessQualityOfAccounts() {
        return new Vector();
    }

    public Vector listApplications() {
        return new Vector();
    }

    public Vector listAccounts() {
        return new Vector();
    }

    public Vector listCustomerAccountTransactions() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     * @label derivable
     */
    private CustomerAccountMgmt.CustomerAccount.CustomerAccount lnkUnnamed;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private CustomerAccApplication lnkUnnamed1;

    /**
     * @label derivable
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private CustomerAccTrans lnkUnnamed2;
}


